version: "3"
services:
    pozos-api:
        container_name: pozos-api
        ports:
            - 4000:5000
        volumes:
            - ${PWD}/simple_api/student_age.json:/data/student_age.json
        image: $CI_REGISTRY_IMAGE:latest
        networks:
            - pozos-network

    pozos-website:
        container_name: pozos-website
        depends_on: 
            - pozos-api
        ports:
            - 8080:80
        volumes:
            - ${PWD}/website:/var/www/html
        environment:
            - USERNAME=jean-luc
            - PASSWORD=2024
        image: php:apache
        networks:
            - pozos-network

    pozos-registry-backend:
        container_name: pozos-registry-backend 
        ports:
            - 5001:5002
        environment:
            - REGISTRY_HTTP_ADDR=0.0.0.0:5002
            - REGISTRY_STORAGE_DELETE_ENABLED=true
        image: registry:2
        networks:
            - pozos-network

    pozos-registry-Front-end:
        container_name: pozos-registry-Front-end
        depends_on:
            - pozos-registry-backend
        ports:
            - 80:80
        environment:
            - REGISTRY_URL=http://pozos-registry-backend:5002
            - REGISTRY_TITLE=POZOS COMPANY
            - CATALOG_ELEMENTS_LIMIT=1000
        image: joxit/docker-registry-ui:1.5-static
        networks:
            - pozos-network


networks:
  pozos-network:
    name: pozos-network
